com.amazonaws.services.machinelearning.model

## Class UpdateEvaluationRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.UpdateEvaluationRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateEvaluationRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateEvaluationRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateEvaluationRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getEvaluationId()` The ID assigned to the `Evaluation` during creation.
`String` `getEvaluationName()` A new user-supplied name or description of the `Evaluation` that will replace the current content.
`int` `hashCode()`
`void` `setEvaluationId(String evaluationId)` The ID assigned to the `Evaluation` during creation.
`void` `setEvaluationName(String evaluationName)` A new user-supplied name or description of the `Evaluation` that will replace the current content.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateEvaluationRequest` `withEvaluationId(String evaluationId)` The ID assigned to the `Evaluation` during creation.
`UpdateEvaluationRequest` `withEvaluationName(String evaluationName)` A new user-supplied name or description of the `Evaluation` that will replace the current content.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateEvaluationRequest

    public UpdateEvaluationRequest()

### Method Detail

#### setEvaluationId

    public void setEvaluationId(String evaluationId)

The ID assigned to the `Evaluation` during creation.

Parameters:
  `evaluationId` - The ID assigned to the `Evaluation` during creation.

#### getEvaluationId

    public String getEvaluationId()

The ID assigned to the `Evaluation` during creation.

Returns:
  The ID assigned to the `Evaluation` during creation.

#### withEvaluationId

    public UpdateEvaluationRequest withEvaluationId(String evaluationId)

The ID assigned to the `Evaluation` during creation.

Parameters:
  `evaluationId` - The ID assigned to the `Evaluation` during creation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEvaluationName

    public void setEvaluationName(String evaluationName)

A new user-supplied name or description of the `Evaluation` that will replace the current content.

Parameters:
  `evaluationName` - A new user-supplied name or description of the `Evaluation` that will replace the current content.

#### getEvaluationName

    public String getEvaluationName()

A new user-supplied name or description of the `Evaluation` that will replace the current content.

Returns:
  A new user-supplied name or description of the `Evaluation` that will replace the current content.

#### withEvaluationName

    public UpdateEvaluationRequest withEvaluationName(String evaluationName)

A new user-supplied name or description of the `Evaluation` that will replace the current content.

Parameters:
  `evaluationName` - A new user-supplied name or description of the `Evaluation` that will replace the current content.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateEvaluationRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`